<dx-popup [(visible)]='popupVisible' title='Solicită ajutor' (onHidden)='onHiddenPopup($event)' [minWidth]='ui.minWidthPopup'
  maxWidth='90vw' height='auto' width='auto'>
  <div *dxTemplate='let data of "content"'>
    <dx-scroll-view height='100%'>
      <dx-form #formTicket [(formData)]='errorDetails' [showValidationSummary]="false" validationGroup="ticketValidation" labelLocation="left">
        <dxi-item [label]="{text: 'Subiect'}" dataField="subject" editorType="dxTextBox" [editorOptions]="{}">
          <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{text: 'Descriere'}" dataField="description"
          editorType="dxTextArea" [editorOptions]="{ placeholder: 'Spune-ne in cateva cuvinte care este problema'}">
        </dxi-item>
      </dx-form>
    </dx-scroll-view>
  </div>

  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" 
    [options]="{ text:'Trimite', icon:'save', type: 'normal', onClick: onSendTicket, validationGroup:'ticketValidation' }">
  </dxi-toolbar-item>
</dx-popup>